cURL
curl --request POST \
--url https://flatbay.fr/fr/api/property/{id}/photo \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"roomId": "<string>"
}
'import requests
url = "https://flatbay.fr/fr/api/property/{id}/photo"
payload = {
"content": "<string>",
"roomId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', roomId: '<string>'})
};
fetch('https://flatbay.fr/fr/api/property/{id}/photo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
1{
"error": "<string>"
}Endpoint Examples
Ajouter une photo à un bien
Route d’ajout d’une photo à une property
POST
/
property
/
{id}
/
photo
cURL
Il faudra que l’equipe flatbay vous fournisse une clé d’api pour utiliser cette route.
La photo doit être envoyée en base64 dans le champ “content”.
Path Parameters
Identifiant du bien
Available options:
1, 3, 4, 5, 6, 7, 8, 9, 10 Example:
1
Query Parameters
Mot de passe pour l'accès sécurisé
Example:
"api_key_here"
Body
application/json
Response
Détails de l'établissement récupérés avec succès
Identifiant du bien
Available options:
1, 3, 4, 5, 6, 7, 8, 9, 10 Example:
1

